package db.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import db.service.ConfigService;
import db.util.ConvertUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@Slf4j
public class ConfigController {

    @Autowired
    private ConfigService configService;

    @RequestMapping("/listen")
    public String listenConfig(@RequestParam String type, @RequestParam String mode) {

        log.info("收到监听请求，type={}，mode={}", type, mode);

        configService.listenConfig(type, mode);

        return "成功";
    }

}
